> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Invoice

> Public invoice details — no auth required.



## OpenAPI

````yaml /openapi.json get /api/v1/public/invoices/{invoice_id}
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/public/invoices/{invoice_id}:
    get:
      tags:
        - Public
      summary: Get Public Invoice
      description: Public invoice details — no auth required.
      operationId: get_public_invoice_api_v1_public_invoices__invoice_id__get
      parameters:
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Invoice Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicInvoiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicInvoiceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        invoiceNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicenumber
        issuedDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Issueddate
        dueDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Duedate
        status:
          $ref: '#/components/schemas/InvoiceStatus'
        client:
          anyOf:
            - $ref: '#/components/schemas/InvoiceParticipant'
            - type: 'null'
        contractor:
          anyOf:
            - $ref: '#/components/schemas/InvoiceParticipant'
            - type: 'null'
        items:
          items:
            $ref: '#/components/schemas/PublicInvoiceItem'
          type: array
          title: Items
        paymentMethods:
          items:
            anyOf:
              - $ref: '#/components/schemas/IBANAccountDetails-Output'
              - $ref: '#/components/schemas/USExternalAccountDetails-Output'
              - $ref: '#/components/schemas/SwiftAccountDetails-Output'
              - $ref: '#/components/schemas/ContactWalletResponse'
              - $ref: '#/components/schemas/EmailAccountInput'
          type: array
          title: Paymentmethods
          default: []
        contract:
          anyOf:
            - $ref: '#/components/schemas/PublicInvoiceContractInfo'
            - type: 'null'
        invoiceLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicelink
        documents:
          items:
            $ref: '#/components/schemas/InvoiceDocumentInfo'
          type: array
          title: Documents
          default: []
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - amount
        - currency
        - status
        - items
        - createdAt
      title: PublicInvoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoiceStatus:
      type: string
      enum:
        - draft
        - sent
        - paid
        - cancelled
        - client_paid
        - client_declined
      title: InvoiceStatus
      description: Invoice status.
    InvoiceParticipant:
      properties:
        email:
          type: string
          title: Email
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        address:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
      type: object
      required:
        - email
      title: InvoiceParticipant
      description: Minimal participant info for invoice response.
    PublicInvoiceItem:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
      type: object
      title: PublicInvoiceItem
    IBANAccountDetails-Output:
      properties:
        bankName:
          type: string
          title: Bankname
        bankAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaddress
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        accountHolderType:
          $ref: '#/components/schemas/AlignAccountHolderType'
        accountHolderFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderfirstname
        accountHolderLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderlastname
        accountHolderBusinessName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderbusinessname
        accountHolderAddress:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
        relationship:
          anyOf:
            - $ref: '#/components/schemas/app__schemas__base__ContactRelationship'
            - type: 'null'
        paymentReference:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentreference
        accountType:
          type: string
          enum:
            - sepa
            - uaefts
          title: Accounttype
          default: sepa
        ibanNumber:
          type: string
          title: Ibannumber
        bic:
          anyOf:
            - type: string
            - type: 'null'
          title: Bic
        beneficiaryName:
          anyOf:
            - type: string
            - type: 'null'
          title: Beneficiaryname
          description: Frontend-only alias derived from account holder fields.
          readOnly: true
      type: object
      required:
        - bankName
        - accountHolderType
        - ibanNumber
        - beneficiaryName
      title: IBANAccountDetails
      description: IBAN (SEPA) external account.
    USExternalAccountDetails-Output:
      properties:
        bankName:
          type: string
          title: Bankname
        bankAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaddress
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        accountHolderType:
          $ref: '#/components/schemas/AlignAccountHolderType'
        accountHolderFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderfirstname
        accountHolderLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderlastname
        accountHolderBusinessName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderbusinessname
        accountHolderAddress:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
        relationship:
          anyOf:
            - $ref: '#/components/schemas/app__schemas__base__ContactRelationship'
            - type: 'null'
        paymentReference:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentreference
        accountType:
          type: string
          enum:
            - ach
            - fedwire
          title: Accounttype
          default: ach
        us:
          $ref: '#/components/schemas/USAccountDetails'
        beneficiaryName:
          anyOf:
            - type: string
            - type: 'null'
          title: Beneficiaryname
          description: Frontend-only alias derived from account holder fields.
          readOnly: true
      type: object
      required:
        - bankName
        - accountHolderType
        - us
        - beneficiaryName
      title: USExternalAccountDetails
      description: US domestic (ACH) external account.
    SwiftAccountDetails-Output:
      properties:
        bankName:
          type: string
          title: Bankname
        bankAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaddress
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        accountHolderType:
          $ref: '#/components/schemas/AlignAccountHolderType'
        accountHolderFirstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderfirstname
        accountHolderLastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderlastname
        accountHolderBusinessName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholderbusinessname
        accountHolderAddress:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
        relationship:
          anyOf:
            - $ref: '#/components/schemas/app__schemas__base__ContactRelationship'
            - type: 'null'
        paymentReference:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentreference
        accountType:
          type: string
          const: swift
          title: Accounttype
          default: swift
        swift:
          $ref: '#/components/schemas/SwiftDetails'
        beneficiaryName:
          anyOf:
            - type: string
            - type: 'null'
          title: Beneficiaryname
          description: Frontend-only alias derived from account holder fields.
          readOnly: true
      type: object
      required:
        - bankName
        - accountHolderType
        - swift
        - beneficiaryName
      title: SwiftAccountDetails
      description: SWIFT (international wire) external account.
    ContactWalletResponse:
      properties:
        address:
          type: string
          title: Address
        chainId:
          anyOf:
            - type: string
            - type: 'null'
          title: Chainid
        currency:
          type: string
          title: Currency
          default: EUR
        internal:
          type: boolean
          title: Internal
          default: false
      type: object
      required:
        - address
      title: ContactWalletResponse
      description: Wallet payment method block used by invoice/payment method schemas.
    EmailAccountInput:
      properties:
        accountType:
          type: string
          const: email
          title: Accounttype
          default: email
        email:
          type: string
          title: Email
      type: object
      required:
        - email
      title: EmailAccountInput
      description: Email contact input.
    PublicInvoiceContractInfo:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        documentName:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentname
        documentLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentlink
      type: object
      required:
        - id
      title: PublicInvoiceContractInfo
    InvoiceDocumentInfo:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        key:
          type: string
          title: Key
      type: object
      required:
        - id
        - name
        - key
      title: InvoiceDocumentInfo
      description: |-
        Document attached to an invoice.

        `key` is a short-lived signed token. To download call
        GET /documents/download/{id}?key={key}.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserAddress:
      properties:
        streetAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Streetaddress
        addressLine2:
          anyOf:
            - type: string
            - type: 'null'
          title: Addressline2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - $ref: '#/components/schemas/CountryCode'
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
      type: object
      title: UserAddress
      description: >-
        Address schema for user.


        Canonical field names: street_address, address_line_2, city, state,
        country, zip.

        Accepts legacy Align/IBAN field names (street_line_1, street_line_2,
        postal_code)

        for backward compatibility with existing JSONB data.
    AlignAccountHolderType:
      type: string
      enum:
        - individual
        - business
      title: AlignAccountHolderType
      description: Account holder type.
    app__schemas__base__ContactRelationship:
      type: string
      enum:
        - charity
        - commercial_investment
        - corporate_card
        - credit_card
        - dividend
        - family
        - financial_services
        - good_sold
        - goods_bought
        - government
        - insurance
        - intergroup_transfer
        - intra_group_dividends
        - information_technology
        - leasing
        - loan_charges
        - merchant_settlement
        - mobile_wallet
        - none
        - non_resident_transfer_between_accounts
        - pension
        - personal_expenses
        - prepaid_cards
        - professional
        - rental
        - resident_transfer_between_accounts
        - salaries
        - telecommunications
        - travel
        - utility_bill
      title: ContactRelationship
      description: >-
        Unified contact relationship / transfer purpose.


        Values match Align AlignTransferPurpose (the more granular set).

        Mapped to Swipelux AccountHolderRelationship via
        ``swipelux_relationship``.
    USAccountDetails:
      properties:
        accountNumber:
          type: string
          title: Accountnumber
        routingNumber:
          type: string
          title: Routingnumber
      type: object
      required:
        - accountNumber
        - routingNumber
      title: USAccountDetails
      description: US domestic account details (ACH).
    SwiftDetails:
      properties:
        accountNumber:
          type: string
          title: Accountnumber
        routingNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Routingnumber
        bic:
          type: string
          title: Bic
      type: object
      required:
        - accountNumber
        - bic
      title: SwiftDetails
      description: SWIFT (international wire) account details.
    CountryCode:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      title: CountryCode
      description: ISO 3166-1 alpha-2 country codes.

````